Skip to main content
POST
/
v1
/
veo
/
frames-to-video
curl -N -X POST https://genaipro.vn/api/v1/veo/frames-to-video \
  --header 'Authorization: Bearer <token>' \
  -F "start_image=@start.png" \
  -F "end_image=@end.png" \
  -F "prompt=A smooth transition from day to night" \
  -F "aspect_ratio=VIDEO_ASPECT_RATIO_LANDSCAPE" \
  -F "number_of_videos=2"
event: video_generation_status
data: "starting"

event: video_generation_status
data: "uploading_images"

event: video_generation_status
data: "processing"

event: video_generation_complete
data: [{"id":"abc123","prompt":"A smooth transition from day to night","file_url":"https://example.com/video1.mp4","status":"MEDIA_GENERATION_STATUS_SUCCESSFUL","created_at":"2026-03-30T10:00:00Z"}]
Generate video from a start image (required) and optional end image. Uses multipart/form-data. Response is streamed via Server-Sent Events (SSE).

Body Parameters (multipart/form-data)

start_image
file
required
Start frame image file
end_image
file
End frame image file (optional)
prompt
string
required
Text description to guide the video generation
aspect_ratio
string
required
Video aspect ratio. Must be one of:
  • VIDEO_ASPECT_RATIO_LANDSCAPE — 16:9
  • VIDEO_ASPECT_RATIO_PORTRAIT — 9:16
number_of_videos
string
required
Number of videos to generate (1–4). Sent as string in form data.
curl -N -X POST https://genaipro.vn/api/v1/veo/frames-to-video \
  --header 'Authorization: Bearer <token>' \
  -F "start_image=@start.png" \
  -F "end_image=@end.png" \
  -F "prompt=A smooth transition from day to night" \
  -F "aspect_ratio=VIDEO_ASPECT_RATIO_LANDSCAPE" \
  -F "number_of_videos=2"

SSE Events

The response streams the following events:
EventDataDescription
video_generation_status"starting"Generation has started
video_generation_status"uploading_images"Uploading images
video_generation_status"processing"Video is being processed
video_generation_completeArray of history objectsGeneration complete
errorError objectAn error occurred
event: video_generation_status
data: "starting"

event: video_generation_status
data: "uploading_images"

event: video_generation_status
data: "processing"

event: video_generation_complete
data: [{"id":"abc123","prompt":"A smooth transition from day to night","file_url":"https://example.com/video1.mp4","status":"MEDIA_GENERATION_STATUS_SUCCESSFUL","created_at":"2026-03-30T10:00:00Z"}]